Skip to main content
Data Protection/Backup Management Interfaces
PUTBackup Management InterfacesSince 3.0.0SynchronousAuth Required

Recover Database from Backup

Recover Database from Backup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidString

    The UUID of the resource. Uniquely identifies the resource

Body Fields

  • recoverdatabasefrombackupObjectRequired

    recoverdatabasefrombackup request body object.

    • backupStorageUrlString

      Image Storage URL

    • backupInstallPathString

      Database backup storage path

    • mysqlRootPasswordStringRequired

      MySQL database ROOT password

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • logListenPortintRequired

    Browsers can use this port number to print logs in real time

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null on success. For details, see error

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error. The source error that caused the current error. This field is null if there is no root error

Endpoint

PUT/zstack/v1/database-backups/actions?uuid={uuid}

/zstack/v1/database-backups/actions?uuid={uuid}

Operation ID

RecoverDatabaseFromBackup

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/database-backups/actions?uuid={uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"recoverdatabasefrombackup":{"backupStorageUrl":"<backupStorageUrl>","backupInstallPath":"<backupInstallPath>","mysqlRootPassword":"<mysqlRootPassword>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "logListenPort": 0.0 }

Change History

This API has no change history records yet.

View all change history